import 'package:analyzer/dart/constant/value.dart';
import 'package:analyzer/dart/element/visitor.dart';
import 'package:analyzer/dart/element/element.dart';

class ModelVisitor extends SimpleElementVisitor<dynamic> {
  List<String> supportedLanguageCodes = [];
  late String baseLanguageCode;

  late String location;

  late String mapName;

  @override
  dynamic visitLibraryElement(LibraryElement element) {
    return super.visitLibraryElement(element);
  }

  @override
  dynamic visitFieldElement(FieldElement element) {
    location = element.source!.fullName;

    final valueRaw = element.computeConstantValue();

    if (valueRaw?.toStringValue() != null) {
      baseLanguageCode = valueRaw!.toStringValue()!;
    } else if (valueRaw?.toListValue() != null) {
      final list = valueRaw?.toListValue();

      for (final object in list!) {
        supportedLanguageCodes.add(object.toStringValue()!);
      }
    }
  }
}
